# Create a notification definition

Creates a notification definition. If a filter rule is specified, it will be evaluated to see if the notification definition is qualified to handle the incoming events during runtime. If the notification is qualified, it will send the email and invoke the callout if it has an email template or a callout.
This operation supports creating notification definitions for all event types:
- To create a notification definition for a standard event, you must specify the `eventCategory` field. For more information about standard event category codes, see Standard event category code for events and notifications.
- To create a notification definition for a Zuora custom event, custom event, or custom scheduled event, you must specify the `eventTypeName` field. For more information, see Zuora custom events, [Custom event triggers](https://developer.zuora.com/api-references/api/tag/Custom-Event-Triggers/), and [Custom scheduled events](https://developer.zuora.com/api-references/api/tag/Custom-Scheduled-Events/).

You must specify either `eventCategory` or `eventTypeName`, but not both at the same time.

Endpoint: POST /notifications/notification-definitions
Version: 2026-11-06
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Header parameters:

  - `Idempotency-Key` (string)
    Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. 

With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

  - `Zuora-Org-Ids` (string)
    Comma separated IDs. If you have Zuora Multi-Org enabled,
you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

## Request body:

  - `application/json` (unknown)
    The request body used to create the notification definition.

## Request fields (application/json):

  - `active` (boolean)
    The status of the notification definition. The default value is `true`.

  - `associatedAccount` (string)
    The account on which the histories of this notification will be displayed. The associated account does not enforce where the merge fields come from.
Available values are as follows:
* `Account.Id`: ID of the primary customer account related to the notification. It is also the default value.
* `ParentAccount.Id`: this option is available only if you have Customer Hierarchy enabled for your tenant.
* `SubscriptionOwnerAccount.Id`: this option is available if the base object of the notification is Order Action.

**Note:** before specifying this field, we recommend that you use [Data Source](https://docs.zuora.com?resourceId=platform-data-source-reference) to check the available types of accounts for the current notification.

  - `callout` (any)
    If this field is specified, Zuora will create a new callout template when creating the notification definition and associate the template with the notification definition.
You cannot specify the `calloutTemplateIds` and `callout` fields at the same time.
For more information about callout templates, see Manage callout templates.

  - `callout.active` (boolean)
    The status of the callout. The default is `true`.

  - `callout.calloutBaseurl` (string, required)
    The callout URL. It must start with 'https://'.
Zuora uses port 443 to send callout notifications by default. If you want to use other ports, submit a request at Zuora Global Support.
    Example: https://***

  - `callout.calloutParams` (object)
    A key-value map of merge fields of this callout.

  - `callout.calloutRetry` (boolean)
    Specified whether to retry the callout when the callout fails. The default value is `true`.

  - `callout.description` (string)
    Description for the callout.

  - `callout.eventTypeName` (string)
    The name of the event type. The value must be the same as the parent-level `eventTypeName` field.

  - `callout.httpMethod` (string, required)
    The HTTP method of the callout.
    Enum: "POST", "GET", "PUT", "PATCH", "DELETE"

  - `callout.name` (string, required)
    The name of the callout template that will be created. It must be unique across all callout templates.

  - `callout.requiredAuth` (boolean, required)
    Indicates whether Basic authentication is enabled for the callout.
When creating callout notifications with Basic authentication enabled, you must set this field to `true` and specify the username and password in `calloutAuth`.

  - `callout.calloutAuth` (object)
    If `requiredAuth` is `true`, this object is required.

  - `callout.calloutAuth.domain` (string)
    The domain of the callout auth.

  - `callout.calloutAuth.password` (string)
    The field is required when `requiredAuth` is `true`.

  - `callout.calloutAuth.preemptive` (boolean)
    Set this field to `true` if you want to enable the preemptive authentication.

  - `callout.calloutAuth.username` (string)
    The field is required when `requiredAuth` is `true`.

  - `callout.requiredOauth2` (boolean, required)
    Indicates whether OAuth 2.0 authentication is enabled for the callout.
When creating callout notifications with OAuth 2.0 authentication enabled, you must set this field to `true` and specify the OAuth 2.0 provider ID in `oauth2ProviderId`.

  - `callout.oauth2ProviderId` (any)
    The ID of the OAuth 2.0 provider in your tenant that provides access tokens for the callout. This field is required if `requiredOauth2` is `true`.
For more information about how to get the ID of an OAuth 2.0 provider, see Retrieve the ID of an OAuth 2.0 provider.

  - `calloutActive` (boolean)
    The status of the callout action. The default value is `false`.

  - `calloutTemplateIds` (array)
    List of callout template IDs that the notification definition is associated with.
You cannot specify the `calloutTemplateIds` and `callout` fields at the same time.
For more information about callout templates, see Manage callout templates.

  - `communicationProfileId` (string)
    The ID of the communication profile that the notification definition is associated with.
You can use the [Query Action](https://developer.zuora.com/api-references/api/operation/Action_POSTquery) to get the communication profile Id. See the following request sample:
`{     "queryString": "select Id, ProfileName from CommunicationProfile"  }`
If you do not pass the communicationProfileId, notification service will be automatically added to the 'Default Profile'.
If you want to associate the notification definition with multiple communication profiles,  use the `communicationProfileIds` field, which overrides this field.

  - `communicationProfileIds` (array)
    List of communication profile IDs that the notification definition is associated with.
This field overrides the `communicationProfileId` field.

  - `description` (string)
    The description of the notification definition.

  - `emailActive` (boolean)
    The status of the email action. The default value is `false`.

  - `emailTemplateId` (string)
    The ID of the email template. If `emailActive` is `true`, an email template is required. And EventType of the email template MUST be the same as the eventType.

  - `eventCategory` (number)
    The event category code for a standard event, on which the notification definition is created.
This field is required when creating notification definitions for standard events.
For the list of supported standard event category codes, see Standard event category code for events and notifications.

  - `eventTypeName` (string)
    The name of the event that the notification definition is based on.
This field is required when creating notification definitions for Zuora custom events, custom events, or custom scheduled events.
If this field is provided, you can specify the event namespace in the `eventTypeNamespace` field.

  - `eventTypeNamespace` (string)
    The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to.
Supported values are as follows:
- `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events.
- `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events. This is the default value.

For example, if you want to create a notification definition on the `OrderActionProcessed` event, which is a Zuora custom event, you must specify `com.zuora.notification` for this field.
    Enum: "user.notification", "com.zuora.notification"

  - `filterRule` (object)

  - `filterRule.condition` (string, required)
    The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/).
The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://docs.zuora.com?resourceId=platform-data-source-reference). Notifications with invalid merge fields will fail to evaluate, thus will not be invoked. For example, to filter an invoice posted notification to only invoices with an amount over 1000, you would define the following condition:
`Invoice.Amount > 1000.0`
There are conventions and keywords you need to be aware of. For example:
* `Invoice.Amount` refers to the `Amount` field of the Zuora object `Invoice`.
* Unlike Event Triggers, there is no access to variables with the `_old` suffix. Fields with the `_old` suffix are only available on Event Trigger conditions.
    Example: Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS

  - `filterRule.description` (string)
    The description of the filter rule.

  - `filterRule.parameters` (object, required)
    The parameters of the filter rule and their name must match those in the filter rule. And all parameters must be defined in the event type payload. The name of parameters can't be duplicate. The following reserved keywords should not be used as a parameter name: `AttachmentList`, `RecipientList`, `RecipientType`, `Exceptions`, `OCP_OBJECT_TYPE`, `OCP_OBJECT_ID`, `OCP_TRIGGER_BY`

  - `filterRuleParams` (object)
    The parameter values used to configure the filter rule.

  - `name` (string, required)
    The name of the notification definition, unique per communication profile.

## Request examples:

  - `Create a notification definition` (unknown)

  - `Create a notification definition with filter rules` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `active` (boolean)
    The status of the notification definition. The default value is `true`.

  - `associatedAccount` (string)
    The account on which the histories of this notification will be displayed. The associated account does not enforce where the merge fields come from.

  - `callout` (object)

  - `callout.active` (boolean)
    The status of the callout. The default value is `true`.

  - `callout.calloutAuth` (object)
    If `requiredAuth` is `true`, this object is required.

  - `callout.calloutAuth.domain` (string)
    The domain of the callout auth.

  - `callout.calloutAuth.password` (string)
    The field is required when `requiredAuth` is `true`.

  - `callout.calloutAuth.preemptive` (boolean)
    Set this field to `true` if you want to enable the preemptive authentication.

  - `callout.calloutAuth.username` (string)
    The field is required when `requiredAuth` is `true`.

  - `callout.calloutBaseurl` (string)
    The callout URL. It must start with 'https://'
    Example: https://***

  - `callout.calloutParams` (object)
    A key-value map of merge fields of this callout.

  - `callout.calloutRetry` (boolean)
    Specified whether to retry the callout when the callout fails. The default value is `true`.

  - `callout.description` (string)
    Description for the callout.

  - `callout.eventTypeName` (string)
    The name of the custom event type.

  - `callout.httpMethod` (string)
    The HTTP method of the callout.
    Enum: "POST", "GET", "PUT", "PATCH", "DELETE"

  - `callout.id` (string)
    The ID of the callout. If `calloutActive` is `true`, a callout is required. The eventTypeName of the callout MUST be the same as the eventTypeName.

  - `callout.name` (string)
    The name of the created callout.

  - `callout.oauth2ProviderId` (string)
    The ID of the OAuth 2.0 provider in your tenant that provides access tokens for the callout.

  - `callout.requiredAuth` (boolean)
    Indicates whether Basic authentication is enabled for the callout.

  - `callout.requiredOauth2` (boolean)
    Indicates whether OAuth 2.0 authentication is enabled for the callout.

  - `calloutActive` (boolean)
    The status of the callout action. The default value is `false`.

  - `calloutTemplateIds` (array)
    List of callout template IDs that the notification definition is associated with.

  - `communicationProfileId` (string)
    The ID of the communication profile that the notification definition is associated with.
If the notification definition is associated with multiple communication profiles, see `communicationProfileIds` for all associated communication profile IDs.

  - `communicationProfileIds` (array)
    List of communication profile IDs that the notification definition is associated with.

  - `createdBy` (string)
    The ID of the user who created the notification definition.

  - `createdOn` (string)
    The time when the notification definition was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

  - `description` (string)
    Description of the notification definition

  - `emailActive` (boolean)
    The status of the email action. The default value is `false`.

  - `emailTemplateId` (string)
    The ID of the email template. In the request, there should be at least one email template or callout.

  - `eventCategory` (number)
    The event category code for a standard event, on which the notification definition is created.
This field is available only if the notification definition is based on a standard event.
For the list of supported standard event category codes, see Standard event category code for events and notifications.

  - `eventId` (string)
    The ID of the event that the notification definition is based on.

This field is available only if the notification definition is based on a standard event.

  - `eventTypeName` (string)
    The name of the event that the notification definition is based on.

This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event.

  - `eventTypeNamespace` (string)
    The namespace of the `eventTypeName` field. It indicates who created the event and which namespace the event is assigned to.
Supported values are as follows:
- `com.zuora.notification`: events that are created by Zuora. This value applies to Zuora custom events.
- `user.notification`: events that are created by tenant users. This value applies to custom events and custom scheduled events.

This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event.
    Enum: "user.notification", "com.zuora.notification"

  - `filterRule` (object)

  - `filterRule.condition` (string)
    The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/).
The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://docs.zuora.com?resourceId=platform-data-source-reference). Notifications with invalid merge fields will fail to evaluate, thus will not be invoked. For example, to trigger an event when an invoice is posted with the amount over 1000, you would define the following condition on the `Invoice` object:
`changeType == 'UPDATE' && Invoice.Status == 'Posted' && Invoice.Status_old != 'Posted' && Invoice.Amount > 1000.0`
There are conventions and keywords you need to be aware of. For example:
* `changeType` is a keyword to specify what kind of change happened to the object. Allowed values are `INSERT`, `UPDATE` or `DELETE`.
* `Invoice.Status` refers to field `Status` of the Zuora object `Invoice`.
* A variable with the `_old` suffix means it’s a previous value of the corresponding object field. The "_old" fields are only available on the base objects.
    Example: Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS

  - `filterRule.description` (string)
    The description of the filter rule.

  - `filterRule.eventTypeName` (string)
    The value is `null`.

  - `filterRule.id` (string)
    The ID of the filter rule. If not specified or null, the notification definition is always qualified to process events of "eventType".

  - `filterRule.parameters` (object)
    The parameters of the filter rule and their name must match those in the filter rule. And all parameters must be defined in the event type payload. The name of parameters can't be duplicate. The following reserved keywords should not be used as a parameter name: `AttachmentList`, `RecipientList`, `RecipientType`, `Exceptions`, `OCP_OBJECT_TYPE`, `OCP_OBJECT_ID`, `OCP_TRIGGER_BY`

  - `filterRuleParams` (object)
    The parameter values used to configure the filter rule.

  - `id` (string)
    The ID associated with this notification definition.

  - `name` (string)
    The name of the notification definition.

  - `updatedBy` (string)
    The ID of the user who updated the notification definition.

  - `updatedOn` (string)
    The time when the notification was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 400 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 404 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 405:

  - `405` (unknown)
    Method Not Allowed

## Response 405 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 405 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 415:

  - `415` (unknown)
    Unsupported Media Type

## Response 415 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 415 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `reasons` (array)

  - `reasons.code` (string)
    The error code of response.

  - `reasons.message` (string)
    The detail information of the error response

## Response 500 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
- `application/json`
- `application/xml`
- `text/html`
- `text/csv`
- `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. 
If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. 
Otherwise, Zuora does not set this header.

## Response 400 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

## Response 405 examples:

  - `response` (unknown)

## Response 415 examples:

  - `response` (unknown)

## Response 500 examples:

  - `response` (unknown)

